Bug 498869 - Copying text in Evolution masks selected text and moves cursor
Copying text in Evolution masks selected text and moves cursor
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 03:14 EDT by Tom Mannerhagen
Modified: 2009-07-02 22:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 22:11:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing marked text being masked behind grey field. Please also not the messed up cursor position. (34.72 KB, image/png)
2009-05-04 03:14 EDT, Tom Mannerhagen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 587647 None None None Never

  None (edit)
Description Tom Mannerhagen 2009-05-04 03:14:10 EDT
Created attachment 342278 [details]
Screenshot showing marked text being masked behind grey field. Please also not the messed up cursor position.

Description of problem:

When trying to copy a piece of text inside an open mail in Evolution, the contents of the mail gets partially "masked" or hidden by a grey field as the picture shows.
If I use my keyboard to move around in the mail I can still select and copy the text that I want, but the actions are hidden.

Version-Release number of selected component (if applicable):
2.26.1 according the the about-box.
evolution-2.26.1-2.fc11.i586 if asking with RPM -q

How reproducible:
As far as I remember 100% of the times that I want to copy text from mails I have received.

Steps to Reproduce:
1. Open a received mail
2. Localize any text that is required
3. Use keyboard or mouse to mark any text.
  
Actual results:
Selected text is hidden behind a grey field. Cursor seems to get a bit lost.

Expected results:
Text should be selected as normal and not hidden.

Additional info:
It seems to affect plain-text mails only!
Comment 1 Bug Zapper 2009-06-09 11:06:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthew Barnes 2009-07-02 22:11:45 EDT
Moving this upstream for better visibility.
Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=587647

Note You need to log in before you can comment on or make changes to this bug.